Trace 3.3

Static Public Member Functions | List of all members
Trace Class Reference

`#include <trace.h>`

## Static Public Member Functions
static void | initialize ()
| Initializes trace functionality. More...
static void | out (string str)
static void | out (const char *format,...)
static void | lock ()
| Locks trace for other threads.
static void | unlock ()
| Unlocks trace so other threads can access trace.

## Detailed Description

Prints debug information to a predefined output (output window).

## Member Function Documentation

## ◆ initialize()

static void Trace::initialize | ( |  | ) |
| static

Initializes trace functionality.

Call this method prior to use trace functionality.

## ◆ out() [1/2]

static void Trace::out | ( | const char * | format,
|  |  | ...
| ) |  |
| static

Outputs a sequence of data formatted as the fromat argument specifies. This method can be used the same way as the traditional printf. The method will automatically add a new line too.

Parameters

  format | The string that contains the text to be printed. It can optionally contain embedded format specifiers that are replaced by the values specified in subsequent additional arguments and formatted as requested.

## ◆ out() [2/2]

static void Trace::out | ( | string | str | ) |
| static

Outputs an STL string to the output window. The method will automatically add a new line, so the next string will be put automatically on the next line in the output window.

Parameters

  str | String to print to the output window.

Examples
  trace-example01.cpp.

The documentation for this class was generated from the following file:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/mdw/trace/trace.h